﻿Copyright (c) (2014) Fluke Corporation.                  All rights reserved.
=============================================================================
INSTRUMENT:            Sub Tek TPS2000 (1 yr) ExTrig Sens RS-232 /9500+2Hd
DATE:                  2014-03-13 14:20:02
AUTHOR:                Fluke
REVISION:              $Revision: 7612 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       3
NUMBER OF LINES:       168
CONFIGURATION:         Datron 9500
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:
#        VY, GMO
#
#  Model(s) Covered:
#        TPS 2012, TPS 2014, TPS 2024, TPS 2012B, TPS 2014B, TPS 2024B
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  CALL         Sub Tek TPS2000 Cal Initialize RS-232

  1.002  IF           @Chan == 1
  1.003  RSLT         =
  1.004  RSLT         =EXTERNAL EDGE-TRIGGER SENSITIVITY
  1.005  ENDIF

  1.006  RSLT         =
  1.007  RSLT         = Channel [V @Chan]
  1.008  HEAD         CH [V @Chan] EXTERNAL EDGE-TRIGGER SENSITIVITY
  1.009  TARGET

  1.010  IF           @SameHead <= @NumChan && @UseDualChanLS

  1.011  IF           @NumChan == 2
  1.012  MATH         ChExt = 3
  1.013  ELSE
  1.014  MATH         ChExt = 5
  1.015  ENDIF

  1.016  IF           @Chan == 1
  1.017  DISP         Connect the 9500 to the UUT as follows:
  1.017  DISP         [32] CH 1 Active Head to UUT CH 1
  1.017  DISP         [32] CH [V ChExt] Active Head to UUT EXT TRIG

  1.018  ELSEIF       @Chan == 2
  1.019  DISP         Connect the 9500 to the UUT as follows:
  1.019  DISP         [32] CH 1 Active Head to UUT CH 2
  1.019  DISP         [32] CH [V ChExt] Active Head to UUT EXT TRIG

  1.020  ELSEIF       @Chan == 3
  1.021  DISP         Connect the 9500 to the UUT as follows:
  1.021  DISP         [32] CH 1 Active Head to UUT CH 3
  1.021  DISP         [32] CH [V ChExt] Active Head to UUT EXT TRIG

  1.022  ELSEIF       @Chan == 4
  1.023  DISP         Connect the 9500 to the UUT as follows:
  1.023  DISP         [32] CH 1 Active Head to UUT CH 4
  1.023  DISP         [32] CH [V ChExt] Active Head to UUT EXT TRIG
  1.024  ENDIF

  1.025  ENDIF

  1.026  PORT         CH[V @Chan]:PRO 1;SCA 500E-3
  1.027  PORT         HOR:SCA 10E-9
  1.028  PORT         TRIG:MAI:MOD NORM;EDGE:SOU EXT
  1.029  PORT         MEASU:MEAS[V @Chan]:SOU CH[V @Chan];TYP PK2

# Firstly set the dual sine output of the calibrator so the peak-to-peak
# measurement is approximately 2 Vpp (twice of required test signal).
  1.030  MATH         MEM = 2; MEM1 = MEM

  1.031  DO
  1.032  MATH         MEM = MEM1 + (2 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  1.033  IF           MEM > 2.78 || MEM < 0.00444
  1.034  MATH         MEM = 2
  1.035  ENDIF

  1.036  IF           ZCMPI (@Bandwidth,"100 MHz")
  1.037  9500         Vpp                          100MH          LS    S
  1.038  ELSEIF       ZCMPI (@Bandwidth,"200 MHz")
  1.039  9500         Vpp                          200MH          LS    S
  1.040  ENDIF

  1.041  MATH         @PeakValue = MEM1 / 2
  1.042  CALL         Sub Tek TPS2000 Trigger Chk and Level Adj RS-232
  1.043  PORT         [D500]MEASU:MEAS[V @Chan]:VAL?[I]
  1.044  UNTIL        (MEM >= 1.90) && (MEM <= 2.10)

# Then attenuate the output of calibrator to half so the input of UUT is
# is approximately 1 Vpp that is just the required test signal for external
# trig sensitivity.

  1.045  IF           ZCMPI (@UUT_Model,"TPS 2024B")
  1.046  MATH         VppStd = MEM1
  1.047  ELSE
  1.048  MATH         VppStd = MEM1 / 2
  1.049  MATH         MEM = VppStd
  1.050  ENDIF

  1.051  IF           ZCMPI (@Bandwidth,"100 MHz")
  1.052  9500         Vpp                          100MH          LS    S
  1.053  MATH         TestFreq = "100 MHz"
  1.054  ELSEIF       ZCMPI (@Bandwidth,"200 MHz")
  1.055  9500         Vpp                          200MH          LS    S
  1.056  MATH         TestFreq = "200 MHz"
  1.057  ENDIF

  1.058  WAIT         -t 5 System settling...
  1.059  MATH         @PeakValue = MEM1 / 2
  1.060  CALL         Sub Tek TPS2000 Trigger Chk and Level Adj RS-232
  1.061  MATH         ResultStr = " Rising Slope, 2 div at " & TestFreq
  1.062  EVAL   -e @Trigged : [V ResultStr]

  2.001  JMPL         FALL_EDGE_EXSENS

# This TARGET and JMPL are here so "Repeat" and "Cancel" will perform
# a new waveform acquisition.
  2.002  TARGET
# Recall the saved output value of calibrator to set up output again.
  2.003  MATH         MEM = VppStd

  2.004  IF           ZCMPI (@Bandwidth,"100 MHz")
  2.005  MATH         TestFreq = "100 MHz"
  2.006  9500         Vpp                          100MH          LS    S
  2.007  ELSEIF       ZCMPI (@Bandwidth,"200 MHz")
  2.008  MATH         TestFreq = "200 MHz"
  2.009  9500         Vpp                          200MH          LS    S
  2.010  ENDIF

  2.011  WAIT         -t 5 System settling...

  2.012  LABEL        FALL_EDGE_EXSENS
  2.013  PORT         TRIG:MAI:EDGE:SLO FALL
# Save the peak value of signal for later checking the trigger status.
  2.014  MATH         @PeakValue = MEM1 / 2
  2.015  CALL         Sub Tek TPS2000 Trigger Chk and Level Adj RS-232
  2.016  MATH         ResultStr = " Falling Slope, 2 div at " & TestFreq
  2.017  EVAL   -e @Trigged : [V ResultStr]

  3.001  PORT         TRIG:MAI:EDGE:SLO RISE
  3.002  M9500        *
  3.003  9500         *                                                 S
  3.004  END
